<?php

namespace Drupal\php_password\Password;

/**
 * Secure password hashing functions based on native PHP password hashing.
 *
 * @see http://php.net/manual/en/ref.password.php
 */
class PhpPassword extends PhpPassword2 {

  /**
   * Constructs a new password hashing instance.
   *
   * @param int $cost
   *   The algorithmic cost that should be used.
   * @param int|string|null $algorithm
   *   The hashing algorithm to use. Defaults to php default.
   */
  public function __construct($cost, $algorithm = PASSWORD_DEFAULT) {
    parent::__construct($algorithm, ['cost' => $cost]);
  }

}
